InvalidBlockSize Class Reference

Exception thrown when an invalid block size is encountered. More...

Inheritance diagram for InvalidBlockSize:

## Public Member Functions

| InvalidBlockSize (const std::string &algorithm, size_t length)
| Construct an InvalidBlockSize. More...
Public Member Functions inherited from InvalidArgument
| InvalidArgument (const std::string &s)
| Construct an InvalidArgument. More...
Public Member Functions inherited from Exception
| Exception (ErrorType errorType, const std::string &s)
| Construct a new Exception.
const char * | what () const throw ()
| Retrieves a C-string describing the exception.
const std::string & | GetWhat () const
| Retrieves a string describing the exception.
void | SetWhat (const std::string &s)
| Sets the error string for the exception.
ErrorType | GetErrorType () const
| Retrieves the error type for the exception.
void | SetErrorType (ErrorType errorType)
| Sets the error type for the exceptions.

## Additional Inherited Members

Public Types inherited from Exception
enum | ErrorType { NOT_IMPLEMENTED , INVALID_ARGUMENT , CANNOT_FLUSH , DATA_INTEGRITY_CHECK_FAILED , INVALID_DATA_FORMAT , IO_ERROR , OTHER_ERROR }
| Error types or categories. More...

## Detailed Description

Exception thrown when an invalid block size is encountered.

Definition at line 75 of file simple.h.

## Constructor & Destructor Documentation

## InvalidBlockSize()

InvalidBlockSize::InvalidBlockSize | ( | const std::string & | algorithm,
|  | size_t | length
| ) |  |

inline explicit

Construct an InvalidBlockSize.

Parameters

  algorithm | the Algorithm associated with the exception
  length | the block size associated with the exception

Definition at line 81 of file simple.h.

The documentation for this class was generated from the following file:

- simple.h